## Redeem Rewards

### cURL

```bash
curl --request POST \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{
  "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
  "locationExternalReference": "Company_Club",
  "profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
  "redeemAuditUser": "Joe"
}'
```

### Python

```python
import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"

payload = {
    "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
    "locationExternalReference": "Company_Club",
    "profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
    "redeemAuditUser": "Joe"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
    locationExternalReference: 'Company_Club',
    profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
    redeemAuditUser: 'Joe'
  })
};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'redemptionCode' => '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
    'locationExternalReference' => 'Company_Club',
    'profileId' => '67460e74-02e3-11e8-b443-00163e990bdb',
    'redeemAuditUser' => 'Joe'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"

payload := strings.NewReader("{\n  \"redemptionCode\": \"04c229d7-03cb-421f-9d77-1c0ff1fc2641\",\n  \"locationExternalReference\": \"Company_Club\",\n  \"profileId\": \"67460e74-02e3-11e8-b443-00163e990bdb\",\n  \"redeemAuditUser\": \"Joe\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**: Succeed
- **400**: Bad Request
- **401**: Unauthorized

### Example Responses

#### Success Response

```json
{
  "status": 200,
  "message": "Redeem Member Reward succeed.",
  "errors": {},
  "data": null
}
```

#### Error Response

```json
{
  "message": "Error message string",
  "errors": {
    "ExceptionString": [
      "Invalid Field"
    ]
  },
  "data": null,
  "status": 400
}
```

#### Authentication Error Response

```json
{
  "detail": "Authentication Failed"
}
```

### Authorization

- **Header**: `Authorization`
- **Type**: `string`
- **Required**: Yes
- **Description**: Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Request Body

#### Required Fields
- `redemptionCode`: string<uuid> - Redemption code.
- `locationExternalReference`: string - Location reference.
- `profileId`: string<uuid> - Profile ID.
- `redeemAuditUser`: string - Representative issuing the redemption.
